Skip to content

Vendors

This endpoint returns all the vendors associated with the requesting lender.

GET https://sandbox.reggora.io/lender/vendors

ParameterDefaultDescription
offset0Number of vendors to skip before list gets returned (Used in pagination).
limit0Limit of panelists to return (If set to 0 there is no limit).
statusActive,On Hold,Invited,Removed From PanelComma separated statuses to filter returned panelists by.
import requests
headers = {
'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN),
'integration': '{}'.format(REGGORA_INTEGRATION_KEY)
}
response = requests.get('https://sandbox.reggora.io/lender/vendors?offset=<offset>&limit=<limit>&status=<status>', headers=headers)
{
"data": {
"vendors": [
{
"id": "5c33c6b1681f110034effc72",
"firm_name": "Test Vendor",
"email": "test@vendor.com",
"phone": "1231231234",
"accepting_jobs": true
},
"..."
]
},
"status": 200
}

The "..." placeholder indicates additional entries elided for brevity.

This endpoint returns the vendors associated with the requesting lender filtered by zip code.

POST https://sandbox.reggora.io/lender/vendors/by_zone

ParameterDefaultDescription
offset0Number of vendors to skip before list gets returned (Used in pagination).
limit0Limit of panelists to return (If set to 0 there is no limit).
statusActive,On Hold,Invited,Removed From PanelComma separated statuses to filter returned panelists by.
ParameterDescriptionRequired
zonesList of zip codes you are interested in filtering byTrue
import requests
headers = {
'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN),
'integration': '{}'.format(REGGORA_INTEGRATION_KEY)
}
body = {
'zones': ['02806', '02807', '03102']
}
response = requests.post('https://sandbox.reggora.io/lender/vendors/by_zone?offset=<offset>&limit=<limit>&status=<status> ', json=body, headers=headers)
{
"data": {
"vendors": [
{
"id": "5c33c6b1681f110034effc72",
"firm_name": "Test Vendor",
"email": "test@vendor.com",
"phone": "1231231234",
"accepting_jobs": true
},
"..."
]
},
"status": 200
}

This endpoint returns the vendors associated with the requesting lender filtered by branch.

GET https://sandbox.reggora.io/lender/vendors/branch

ParameterDefaultDescription
branch_idNoneFilter the vendor panel by the branch they are affiliated with
import requests
headers = {
'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN),
'integration': '{}'.format(REGGORA_INTEGRATION_KEY)
}
response = requests.get('https://sandbox.reggora.io/lender/vendors/branch?branch_id=<branch_id>', headers=headers)
{
"data": {
"vendors": [
{
"id": "5c33c6b1681f110034effc72",
"firm_name": "Test Vendor",
"email": "test@vendor.com",
"phone": "1231231234",
"accepting_jobs": true
},
"..."
]
},
"status": 200
}

This endpoint takes a vendor ID as a URL parameter and returns the corresponding vendor.

GET https://sandbox.reggora.io/lender/vendor/<vendor_id>

ParameterDescription
vendor_idThe ID of the vendor
import requests
headers = {
'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN),
'integration': '{}'.format(REGGORA_INTEGRATION_KEY)
}
response = requests.get('https://sandbox.reggora.io/lender/vendor/<vendor_id>', headers=headers)
{
"data": {
"vendor": {
"id": "5c33c6b1681f110034effc72",
"firm_name": "Test Vendor",
"email": "test@vendor.com",
"phone": "1231231234",
"accepting_jobs": true,
"lender_coverage": [
{
"county": "001",
"state": "44",
"zip": "02806"
},
"..."
]
}
},
"status": 200
}

This endpoint adds a vendor to your lender. If they are not already signed up for the Reggora platform they will receive an email asking them to create an account.

POST https://sandbox.reggora.io/lender/vendors

ParameterDescriptionRequired
firm_nameThe firm nameTrue
firstnameThe first name of the main contact at the firmTrue
lastnameThe last name of the main contact at the firmTrue
emailThe firm emailTrue
phoneThe firm phoneTrue
import requests
headers = {
'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN),
'integration': '{}'.format(REGGORA_INTEGRATION_KEY)
}
body = {
'firm_name': 'Appraisal Firm',
'firstname': 'Fake',
'lastname': 'Appraiser',
'email': 'fake@appraiser.com',
'phone': '1212312334',
}
response = requests.post('https://sandbox.reggora.io/lender/vendors', json=body, headers=headers)
{
"data": "5c33c6b1681f110034effc72",
"status": 200
}

This endpoint edits a vendor. Only the fields that are in the request body will be updated.

PUT https://sandbox.reggora.io/lender/vendor/<vendor_id>

ParameterDescription
vendor_idThe ID of the vendor
ParameterDescriptionRequired
firm_nameThe firm nameFalse
firstnameThe first name of the main contact at the firmFalse
lastnameThe last name of the main contact at the firmFalse
emailThe firm emailFalse
phoneThe firm phoneFalse
import requests
headers = {
'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN),
'integration': '{}'.format(REGGORA_INTEGRATION_KEY)
}
body = {
"firm_name": "New Vendor",
"firstname": "Vendor",
"lastname": "Admin",
"email": "vendor@reggora.com",
"phone": "4567891011"
}
response = requests.put('https://sandbox.reggora.io/lender/vendor/<vendor_id>', headers=headers)
{
"data": "5c33c6b1681f110034effc72",
"status": 200
}

This endpoint removes a vendor from your lender panel.

DELETE https://sandbox.reggora.io/lender/vendor/<vendor_id>

ParameterDescription
vendor_idThe ID of the vendor
import requests
headers = {
'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN),
'integration': '{}'.format(REGGORA_INTEGRATION_KEY)
}
response = requests.delete('https://sandbox.reggora.io/lender/vendor/<vendor_id>', headers=headers)
{
"data": "Your vendor has been removed",
"status": 200
}